List Events

GET
/api/v1/events

Query Parameters

cursor?string|null
limit?string|null
eventName?string|null
projectId?string|null

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/events"
{  "data": [    {      "captureId": "string",      "context": {},      "distinctId": "string",      "eventId": "string",      "eventName": "string",      "identityMode": "string",      "personId": "string",      "previousDistinctId": "string",      "processedAt": "string",      "properties": {},      "receivedAt": "string",      "requestId": "string",      "sentAt": "string",      "sessionId": "string",      "source": "string",      "timestamp": "string",      "trustClass": "string"    }  ],  "pageInfo": {    "endCursor": "string",    "hasNextPage": true  }}
{  "_tag": "Api/SdkValidationError",  "message": "string"}
{  "_tag": "Api/AuthenticationError",  "cause": "string",  "message": "string"}
{  "_tag": "Api/ActionForbiddenError",  "message": "string"}
{  "_tag": "Api/AnalyticsServiceError",  "cause": "string"}